ARES_PARSE_NS_REPLY(3)

NAME
ares_parse_ns_reply - Parse a reply to a DNS query of type NS into a hostent

SYNOPSIS
#include <ares.h>

int ares_parse_ns_reply(const unsigned char *abuf, int alen,
struct hostent **host);

DESCRIPTION
The ares_parse_ns_reply function parses the response to a query of type NS into a struct hostent. The parameters abuf and alen give the contents of the response. The result is stored in allocated memory and a pointer to it stored into the variable pointed to by host. The nameservers are stored into the aliases field of the host structure. It is the caller's responsibility to free the resulting host structure using ares_free_hostent(3) when it is no longer needed.

RETURN VALUES
ares_parse_ns_reply can return any of the following values:

ARES_SUCCESS
    The response was successfully parsed.

ARES_EBADRESP
    The response was malformatted.

ARES_ENODATA
    The response did not contain an answer to the query.

ARES_ENOMEM
    Memory was exhausted.

SEE ALSO
ares_query(3), ares_free_hostent(3)

AUTHOR
Written by Vlad Dinulescu <vlad.dinulescu@avira.com>, on behalf of AVIRA Gmbh http://www.avira.com